FreeMat

- Main Page
- Related Pages

vtkZLibDataCompressor

Section: Visualization Toolkit IO Classes

# Usage

vtkZLibDataCompressor provides a concrete vtkDataCompressor class using zlib for compressing and uncompressing data.

To create an instance of class vtkZLibDataCompressor, simply invoke its constructor as follows

      obj = vtkZLibDataCompressor

# Methods

The class vtkZLibDataCompressor has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkZLibDataCompressor class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkZLibDataCompressor = obj.NewInstance ()`
- `vtkZLibDataCompressor = obj.SafeDownCast (vtkObject o)`
- `long = obj.GetMaximumCompressionSpace (long size)` - Get the maximum space that may be needed to store data of the given uncompressed size after compression. This is the minimum size of the output buffer that can be passed to the four-argument Compress method.
- `obj.SetCompressionLevel (int )` - Get/Set the compression level.
- `int = obj.GetCompressionLevelMinValue ()` - Get/Set the compression level.
- `int = obj.GetCompressionLevelMaxValue ()` - Get/Set the compression level.
- `int = obj.GetCompressionLevel ()` - Get/Set the compression level.